Bug 168087 - Fails to retain ppp connection passwords containing spaces between saves
Fails to retain ppp connection passwords containing spaces between saves
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-09-12 06:56 EDT by Reza Mahjourian
Modified: 2008-02-28 19:18 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 19:18:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reza Mahjourian 2005-09-12 06:56:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
When creating a new "Modem Connection", the user is required to enter a password under "Provider" information.  If this password contains a space, the program manages to save it properly at this time.  Looking at /etc/wvdial.conf shows the correctly saved password.

However if at a later time the user tries to make any modification to any interface configured in the program, and then saves the configuration, those dial-up passwords with spaces in them end up being saved in a corrupted form.  In fact, just opening system-config-network and immediately choosing Save from the menu produces the same results.

If the user changes the dial-up password in the current session, then it is stored correctly, but any other re-configuration which does not involve modifiying the mentioned password results in it being stored in a corrupted form.

For example, if the initial password is `the good ol pass', then it is changed to `"the' on a subsequent save.  Note the extra double-quote at the beginning.  The change is readily visible in /etc/wvdial.conf.

Version-Release number of selected component (if applicable):
system-config-network-1.3.26-1

How reproducible:
Always

Steps to Reproduce:
1. Open system-config-network
2. Create a new "Modem Connection"
3. Enter some password containing spaces as the connection password
4. Save and exit
5. Open system-config-network
6. Don't make any changes to the newly created connection
7. Save and exit

Actual Results:  The program failed to retain the originally provided password.

Expected Results:  Should have managed to retain the password.  It seems the problem is in the code that reads in the stored password, since it has no problem with storing the password containing spaces when they are entered in the user interface.

Additional info:
Comment 1 Christian Iseli 2007-01-19 19:15:50 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-02-28 19:18:26 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.